﻿<#
.SYNOPSIS
An install script for installing Erlang silently on the machine via ChocolateyNuGet

.NOTES
Author: Onorio Catenacci - catenacci@ieee.org
Version: 22.0
#>

$package = 'erlang'
$version = '22.0'
$erl_version = '10.4'

$params = @{
  PackageName = $package
  FileType = 'exe'
  SilentArgs = '/S'
  Url = "https://www.erlang.org/download/otp_win32_$version.exe"
  CheckSum = 'baf97520a774a7f6514ff97a002f88bc83844df9f098235b0d5e0c944b3ccac3' 
  CheckSumType = 'sha256'
  Url64 = "https://www.erlang.org/download/otp_win64_$version.exe"
  CheckSum64 = '0d34ee8eed0fee9245e15d8ee08131099ffe3f8d6a602a58c3581ffc08191ca1'
  CheckSumType64 = 'sha256'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @params

$baseErlangPath = "$env:ProgramFiles/erl$erl_version/erts-$erl_version/bin"

Generate-BinFile "erl" -path "$baseErlangPath/erl.exe"
Generate-BinFile "werl" -path "$baseErlangPath/werl.exe"
Generate-BinFile "erlc" -path "$baseErlangPath/erlc.exe"
Generate-BinFile  "escript" -path "$baseErlangPath/escript.exe"
Generate-BinFile "dialyzer" -path "$baseErlangPath/dialyzer.exe"

